For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate project
      • DELDelete project
      • GETList projects
      • GETShow project
      • PATCHUpdate project

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceProjects

Update project

PATCH
https://api.frame.io/v4/accounts/:account_id/projects/:project_id
PATCH
/v4/accounts/:account_id/projects/:project_id
1from frameio import Frameio
2from frameio.projects import ProjectUpdateParamsData
3
4client = Frameio(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.projects.update(
9 account_id="e89e3302-70ed-4bde-bf9e-a02cc19ae13d",
10 project_id="20d8bc58-4191-40bc-943f-250cf55b6bb1",
11 data=ProjectUpdateParamsData(
12 name="Project Name",
13 restricted=True,
14 status="active",
15 ),
16)
1{
2 "data": {
3 "created_at": "2024-01-25T19:18:29.614189Z",
4 "id": "d0beb93e-527c-44e7-8fa8-0f2b0954c4f3",
5 "name": "My Project",
6 "root_folder_id": "954f9c92-f84b-403d-8941-eda2a4012cc0",
7 "status": "active",
8 "storage": 15000,
9 "updated_at": "2024-02-07T16:44:41.986478Z",
10 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/",
11 "workspace_id": "bec77768-0d52-4db6-bb40-9691d3827d35",
12 "restricted": false
13 }
14}

Update project details.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Add new asset to share

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
project_idstringRequiredformat: "uuid"
A UUID String

Request

Project params
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject
Frame.io Project

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error